# iterate over the interfaces, print out their addresses into ifcfg-files
$ifs = split($interfaces,',')

define inline_template_test {
  file {"/tmp/ifcfg-$name":
    content => inline_template("IPADDR=<%= @ipaddress_${name} %>\n")
  }
}

inline_template_test { $ifs: }
